<?php

namespace App\Http\Controllers\Api;


use App\User;

use Carbon\Carbon;
use App\Models\Favorite;
use App\Models\Item;
use App\Models\Menu;
use Validator;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SaleController extends Controller
{

    public function menu_sale($lang, Request $request)
    {
        if ($request->sale) {


            $sale_brides = Menu::where('type', $request->sale)->latest()->get();

            $data = [];
            foreach ($sale_brides as $sale_bride) {


                $arr['id'] = $sale_bride->id;
                if ($lang == 'ar') {
                    $arr['name'] = $sale_bride->name['ar'];
                } else {
                    $arr['name'] = $sale_bride->name['en'];
                }
                if ($sale_bride->image) {
                    $arr['image'] = asset('images/item/' . $sale_bride->image);
                } else {
                    $arr['image'] = '';
                }

                $data[] = $arr;
            }


            return response()->json(['value' => true, 'data' => $data
            ]);
        }
        return response()->json(['value' => false]);
    }


    public function items($lang, Request $request)
    {

        if ($request->menu_id) {


            $items = Item::where('menu_id', $request->menu_id)->latest()->get();

            $data = [];
            foreach ($items as $item) {

                $arr['id'] = $item->id;
                $arr['title'] = $item->title;
                $arr['user_name'] = $item->Users->name;
                $arr['note'] = $item->note;
                $arr['image'] = "";

                if ($request->user_id) {

                    $favorite_item = Favorite::where(['item_id' => $item->id, 'user_id' => $request->user_id])->first();
                    if ($favorite_item) {
                        $arr['favorite_item'] = 'true';
                    } else {
                        $arr['favorite_item'] = 'false';
                    }
                    Carbon::setLocale($lang);
                    $arr['since'] = Carbon::parse($item->created_at)->diffForHumans();

                }

                $data[] = $arr;
            }
            return response()->json(['value' => true, 'data' => $data
            ]);
        }
        return response()->json(['value' => false]);

    }


    public function insert_item_sale($lang, Request $request)
    {

        $item = new Item();

        $item->title = $request->title;
        $item->note = $request->note;
        $item->user_id = $request->user_id;
        $item->menu_id = $request->menu_id;
        $item->price = $request->price;
        $item->city_id = $request->city_id;
        $item->type = $request->type;
        $item->address = $request->address;
       // $item->image = "";

        $item->save();



        $arr['id'] = $item->id;
        $arr['title'] = $item->title;
        $arr['note'] = $item->note;
        $arr['user_id'] = $item->Users->name;
        if ($lang == 'ar') {
            $arr['menu_id'] =$item->Menu->name['ar'];
            $arr['city_id'] = $item->Cities->name['ar'];
        } else {
            $arr['menu_id'] = $item->Menu->name['en'];
            $arr['city_id'] = $item->Cities->name['en'];
        }
        $arr['price'] = $item->price;
        $arr['type'] = $item->type;
        $arr['address'] = $item->address;
        $arr['image'] = "";

        return response()->json(['value' => true, 'data' => $arr
        ]);

    }


    public function single_item_sale($id, $lang)
    {

        $item = Item::find($id);


        $arr['id'] = $item->id;
        $arr['title'] = $item->title;
        $arr['note'] = $item->note;
        $arr['price'] = $item->price;
        $arr['address'] = $item->address;
        $arr['image'] = "";
        if ($lang == 'ar') {
            $arr['city'] = $item->Cities->name['ar'];
        } else {
            $arr['city'] = $item->Cities->name['en'];
        }
        $arr['type'] = $item->type;

        return response()->json(['value' => true, 'data' => $arr]);
    }


    public function favorites_items($id, $lang){

        $fav_items = Favorite::where('user_id', $id)->get();

        $data = [];
        foreach ($fav_items as $fav_item){

            $items = Item::where('id', $fav_item->id)->get();

            $data = [];
            foreach ($items as $item){


                $arr['id'] = $item->id;
                $arr['title'] = $item->title;
                $arr['note'] = $item->note;
                $arr['type'] = $item->type;
                $arr['address'] = $item->address;
                $arr['price'] = $item->price;
                $arr['image'] = "";
                $arr['user_name'] = $item->Users->name;
                if ($lang == 'ar') {
                    $arr['city'] = $item->Cities->name['ar'];
                    $arr['menu'] = $item->Menu->name['ar'];
                } else {
                    $arr['city'] = $item->Cities->name['en'];
                    $arr['menu'] = $item->Menu->name['en'];
                }
                Carbon::setLocale($lang);
                $arr['since'] = Carbon::parse($item->created_at)->diffForHumans();
                $data[] = $arr;
            }
//            $arr['id'] = $item->id;
//            $arr['title'] = $item->title;
//            $arr['note'] = $item->note;
//            $arr['user_name'] = $item->Users->name;
//            Carbon::setLocale($lang);
//            $arr['since'] = Carbon::parse($item->created_at)->diffForHumans();
//            $data[] = $arr;
        }
        return response()->json(['value' => true, 'data' => $data]);

    }



}
